Package: org.grails.plugins.web.mapping

## [Groovy] Class UrlMappingsGrailsPlugin

- org.grails.plugins.web.mapping.UrlMappingsGrailsPlugin

- Handles the configuration of URL mappings.

  Authors:
    Graeme Rocher
  Since:
    0.4

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `UrlMappingsGrailsPlugin.DefaultUrlMappings` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Object` | `dependsOn`
    `java.lang.Object` | `loadAfter`
    `java.lang.Object` | `version`
    `java.lang.Object` | `watchedResources`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `groovy.lang.Closure` | `doWithSpring()`
    `` | `void` | `onChange(java.util.Map<java.lang.String, java.lang.Object> event)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Plugin` | `beans, doWithApplicationContext, doWithDynamicMethods, doWithSpring, getApplicationContext, getConfig, getManager, onChange, onConfigChange, onShutdown, onStartup, setApplicationContext`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.lang.Object dependsOn

    - #### java.lang.Object loadAfter

    - #### java.lang.Object version

    - #### java.lang.Object watchedResources

  - ### Method Detail

    - #### groovy.lang.Closure doWithSpring()

    - #### @java.lang.Override void onChange(java.util.Map<java.lang.String, java.lang.Object> event)